X4 foundations on liquidsky

bug

#1

Hello, i wanna play the new “x4 Foundations” on my liquidsky pc. The game couldn’t open, because it needs NVIDIA Driver 385.41 or newer to launch it. The error message says, the most actual driver installed on my liquidsky system did have Version 370.16.0. Is their a way to solve that problem? Thanks


#2

The drivers of our SkyPCs are different from consumer grade gpu drivers, so this can happen. In many (most?) cases, you can apply this workaround:

If it works, I’d suggest you create two .bat files on your SkyPC’s desktop, to half-automate the process in the future.


#3

Hi, just tried it. But it doesnt work for x4.


#4

I suggest you request a Steam refund and wait for a driver update.